#ifndef AFFICHE_H
#define AFFICHE_H

/* Descripteur de fichier sur lequel on écrit les messages :
 * c'est la sortie d'erreur par défaut. */
extern int affiche_fd ; 

/* Affiche la chaîne `s' sur `affiche_fd'. */
void affiche_chaine(const char *s) ;

/* Affiche la chaîne `s' sur `affiche_fd', suivie d'une retour à la ligne. */
void affiche_ligne(const char *s) ;

/* Affiche l'écriture décimale de l'entier signé `n' sur `affiche_fd'. */
void affiche_entier(int n) ;

/* Affiche l'écriture hexadécimale de l'entier non signé `n' sur `affiche_fd'. */
void affiche_hexa(unsigned int n) ;

#endif /* ifndef AFFICHE_H */
